
#include <iostream>

using namespace std;

int nPass = 0, nFail = 0;

void testFalse(bool b, char *msg = "")
{
    if (b) {
	cout << msg << ":" << "was not false" << endl;
	nFail++;
    } else {
        nPass++;
    }
}

void testTrue(bool b, char *msg = "")
{
    if (!b) {
	cout << msg << ":" << "was not true" << endl;
	nFail++;
    } else {
	nPass++;
    }
}

void testEquals(float i, float j, char *msg = "")
{
    if (i != j) {
	cout << msg << ":" << "does not equal" << endl;
	nFail++;
    } else {
	nPass++;
    }
}

void testEquals(string s1, string s2, char *msg = "")
{
    if (s1 != s2) {
	cout << msg << ":" << "not equal" << endl;
	nFail++;
    } else {
	nPass++;
    }
}

void report() {
    cout << "nFail = " << nFail << ", nPass = " << nPass << endl;
}
